UpdateDevice - Amazon WorkSpaces Thin Client

UpdateDevice

Important

End of support notice: On March 31, 2027, AWS will end support for Amazon WorkSpaces Thin Client. After March 31, 2027, you will no longer be able to access the WorkSpaces Thin Client console or WorkSpaces Thin Client resources. For more information, see Amazon WorkSpaces Thin Client end of support.

Updates a thin client device.

Request Syntax

PATCH /devices/id HTTP/1.1 Content-type: application/json { "desiredSoftwareSetId": "string", "name": "string", "softwareSetUpdateSchedule": "string" }

URI Request Parameters

The request uses the following URI parameters.

id

The ID of the device to update.

Pattern: [a-zA-Z0-9]{24}

Required: Yes

Request Body

The request accepts the following data in JSON format.

desiredSoftwareSetId

The ID of the software set to apply.

Type: String

Pattern: [0-9]{1,9}

Required: No

name

The name of the device to update.

Type: String

Length Constraints: Minimum length of 0. Maximum length of 64.

Pattern: $|^[0-9\p{IsAlphabetic}+:,.@'" -]*

Required: No

softwareSetUpdateSchedule

An option to define if software updates should be applied within a maintenance window.

Type: String

Valid Values: USE_MAINTENANCE_WINDOW | APPLY_IMMEDIATELY

Required: No

Response Syntax

HTTP/1.1 200 Content-type: application/json { "device": { "arn": "string", "createdAt": number, "currentSoftwareSetId": "string", "desiredSoftwareSetId": "string", "environmentId": "string", "id": "string", "lastConnectedAt": number, "lastPostureAt": number, "model": "string", "name": "string", "pendingSoftwareSetId": "string", "serialNumber": "string", "softwareSetUpdateSchedule": "string", "status": "string", "updatedAt": number } }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

device

Describes a device.

Type: DeviceSummary object

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedException
Important

End of support notice: On March 31, 2027, AWS will end support for Amazon WorkSpaces Thin Client. After March 31, 2027, you will no longer be able to access the WorkSpaces Thin Client console or WorkSpaces Thin Client resources. For more information, see Amazon WorkSpaces Thin Client end of support.

You do not have sufficient access to perform this action.

HTTP Status Code: 403

InternalServerException
Important

End of support notice: On March 31, 2027, AWS will end support for Amazon WorkSpaces Thin Client. After March 31, 2027, you will no longer be able to access the WorkSpaces Thin Client console or WorkSpaces Thin Client resources. For more information, see Amazon WorkSpaces Thin Client end of support.

The server encountered an internal error and is unable to complete the request.

retryAfterSeconds

The number of seconds to wait before retrying the next request.

HTTP Status Code: 500

ResourceNotFoundException
Important

End of support notice: On March 31, 2027, AWS will end support for Amazon WorkSpaces Thin Client. After March 31, 2027, you will no longer be able to access the WorkSpaces Thin Client console or WorkSpaces Thin Client resources. For more information, see Amazon WorkSpaces Thin Client end of support.

The resource specified in the request was not found.

resourceId

The ID of the resource associated with the request.

resourceType

The type of the resource associated with the request.

HTTP Status Code: 404

ThrottlingException
Important

End of support notice: On March 31, 2027, AWS will end support for Amazon WorkSpaces Thin Client. After March 31, 2027, you will no longer be able to access the WorkSpaces Thin Client console or WorkSpaces Thin Client resources. For more information, see Amazon WorkSpaces Thin Client end of support.

The request was denied due to request throttling.

quotaCode

The code for the quota in Service Quotas.

retryAfterSeconds

The number of seconds to wait before retrying the next request.

serviceCode

The code for the service in Service Quotas.

HTTP Status Code: 429

ValidationException
Important

End of support notice: On March 31, 2027, AWS will end support for Amazon WorkSpaces Thin Client. After March 31, 2027, you will no longer be able to access the WorkSpaces Thin Client console or WorkSpaces Thin Client resources. For more information, see Amazon WorkSpaces Thin Client end of support.

The input fails to satisfy the specified constraints.

fieldList

A list of fields that didn't validate.

reason

The reason for the exception.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: